MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004764ACheckerCheckspublic2011-05-24 08:582011-11-25 14:47
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3 
Summary0004764: isValidLangCode with regional extention
DescriptionisValidLangCode in include/classes/BasicChecks.class.php should be able to identify language codes that have regional extensions such as fr-ca. Currently only 2 and 3 letter codes are valid.

The WCAG technique indicates that extensions are valid, though older versions of JAWS will fail when an extension is present.

Add another check perhaps, or modify the existing function to recognise extensions.
TagsNo tags attached.
SVN Revision#c8a308e39aea118b204626f0ceb84bd6fe9838dd
Attached Files

- Relationships

-  Notes
(0005512)
greg (administrator)
2011-11-18 11:32

match on either 2 or 3 digit valid language code, followed by any number of numbers, letters, or dashed only
(0005520)
cindy (administrator)
2011-11-22 12:58

The fix has been merged into master project repo @

https://github.com/atutor/AChecker/commit/c8a308e39aea118b204626f0ceb84bd6fe9838dd [^]

Affected script: include/classes/BasicChecks.class.php

- Issue History
Date Modified Username Field Change
2011-05-24 08:58 greg New Issue
2011-11-18 11:32 greg Note Added: 0005512
2011-11-22 10:00 cindy Assigned To => cindy
2011-11-22 10:00 cindy Status new => assigned
2011-11-22 12:58 cindy SVN Revision# => c8a308e39aea118b204626f0ceb84bd6fe9838dd
2011-11-22 12:58 cindy Note Added: 0005520
2011-11-22 12:58 cindy Status assigned => resolved
2011-11-22 12:58 cindy Resolution open => fixed
2011-11-25 14:47 greg Fixed in Version => 1.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker